Subject: Re: bug#22139: Indirect dependencies are not grafted

From: [email-masked] (Ludovic Courtès)
Date: Tue, 01 Mar 2016 18:25:08 +0100

[email-masked] (Ludovic Courtès) skribis:

> The ‘wip-recursive-grafts’ branch fixes that.  It also changes
> ‘graft-derivation’ to choose whether to graft something based on its
> *run-time* dependencies (as reported by ‘guix gc -R’) instead of its
> compile-time dependencies.

Merged in c22a132 and currently being crash-tested by everyone.  :-)

Ludo’.